/**
 * $Id: Mpi2System.java,v 1.4 2000/06/15 13:55:51 yamauchi Exp $
 *     (M\pi)^2 : Mpi2System : misc functions for (M\pi)^2
 *	Copyright 1999 By YAMAUCHI Hitoshi 山内 斉 
 *	@author YAMAUCHI Hitoshi 山内 斉
 *
 *-- 1999/08/21 Oh!X の 1999 夏号を購入
 */

package jp.ac.tohoku.is.archi.mpi2.util;

import  jp.ac.tohoku.is.archi.mpi2.sysparam.*;

public final class Mpi2System {
    /**
     * sleep implementation
     */
    public static void sleep(int millisec)
    {
 	for(int i = 0; i < 10; i++)
 	{
 	}
 	/*
	try {
	    Thread.sleep(millisec);
	}catch(InterruptedException e)
	{
	    System.out.println(e);
	}
	*/
    }

    /**
     * sleep for polling communicator 
     */
    public static void pollingSleep()
    {
	Mpi2System.sleep(Mpi2Constants.POLLING_SLEEP_TIME);
    }

    /**
     * sleep for retry communication
     */
    public static void retrySleep()
    {
	Mpi2System.sleep(Mpi2Constants.RETRY_WAIT_TIME);
    }
}
